#include <bits/stdc++.h>
#define vvi vector<vector<int> >
#define vi vector<int>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    string t,s;
    cin>>t;
    int n=t.length();
    cin>>s;
    int m=s.length();
    vvi dp(n,vi(m,0));


    if(s[0]==t[0])dp[0][0]=1;
    for(int i=1;i<n;i++){
        dp[i][0]=dp[i-1][0]+(t[i]==s[0]);
        for(int j=1;j<m;j++){
            dp[i][j]=min(dp[i-1][j-1],dp[i-1][j]+(t[i]==s[j]));
        }
    }

    cout << dp[n-1][m-1] << endl;
    int x=n-1,y=m-1;

    for(int i=n-1;i>0;i--){
        if(y<1||dp[i][y]==dp[i-1][y]+(t[i]==s[y])){
            if(t[i]==s[y])
                t[i]='*';
        }
        else y--;
    }
    if(y==0&&t[0]==s[y])
        t[0]='*';



    cout << t << endl;

    return 0;
}